Debian Bug report logs - #267321
creates broken config (hostname -f, FQDN is localhost.localdomain)

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Sat, 21 Aug 2004 23:48:03 UTC

Severity: normal

Merged with 316099

Fixed in version netcfg/1.13

Done: Frans Pop <fjp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: creates broken config (hostname -f, FQDN is localhost.localdomain)
Date: Sun, 22 Aug 2004 00:40:47 +0100
Package: netcfg

d-i made the following /etc/hosts entry:

127.0.0.1       localhost.localdomain   localhost qube

Even though DHCP found my domain (cyrius.com), it is not mentioned
anywhere.  Now "hostname" produces "qube" whereas "hostname -f" gives
"localhost.localdomain".  I think this is a broken FQDN given that it
could easily show "qube.cyrius.com" now (as it found my domain, as
mentioned before).
-- 
Martin Michlmayr
tbm@cyrius.com



Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Message #8 received at 267321-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 267321-submitter@bugs.debian.org
Subject: Reproduced
Date: Sun, 22 Aug 2004 14:40:30 +0200
Also reported here:
http://lists.debian.org/debian-boot/2004/08/msg01659.html
--
Thomas Hood




Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Message #11 received at 267321-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 267321-submitter@bugs.debian.org
Cc: VSJ <debian@terabytemusic.cjb.net>
Subject: FQDN not added to /etc/hosts
Date: Sun, 22 Aug 2004 21:44:39 +0200
Martin Michlmayr wrote:
> d-i made the following /etc/hosts entry:
> 
> 127.0.0.1       localhost.localdomain   localhost qube
> 
> Even though DHCP found my domain (cyrius.com), it is not mentioned
> anywhere.  Now "hostname" produces "qube" whereas "hostname -f" gives
> "localhost.localdomain".  I think this is a broken FQDN given that it
> could easily show "qube.cyrius.com" now (as it found my domain, as
> mentioned before).


It is broken, but it is not really the installer's fault.  DHCP
is a dynamic system for assigning FQDNs and IP addresses.  It
isn't appropriate to write information obtained via DHCP into
the static part of /etc/hosts.  Yes, the client system does need
to resolve its own FQDN.  On some LANs this is solved by having
the DHCP server tell the nameserver about the new FQDN/IP-address
association.  If one isn't connected to such a LAN then a local
solution is required.  One solution is for the DHCP client
program to update /etc/hosts dynamically.  I have been thinking
of enhancing the resolvconf package in order to provide a neutral
framework for updating /etc/hosts which would make it easy to add
this feature to all the DHCP clients.

This raises the question ...

Stanley wrote:
> yesterday I've installed Debian using Debian Installer RC1 ISO
> after installation, the /etc/hosts file starts with the following line:
>
> 127.0.0.1 localhost.localdomain localhost <hostname>
> 
> where <hostname> is the computer name given during install after the 
> DHCP/network config dialog.
> 
> I'd like to know if it's a standard or if there's a special reason to link 
> <hostname> with localhost/127.0.0.1.
> 
> It causes some problems, such as WPAD over DHCP in KDE not working, etc.


Systems whose network connections are configured via DHCP are 
frequently systems that are sometimes disconnected from the
network.  Such systems still require a hostname when they are
disconnected.  And some software packages demand that the
system's hostname always be resolvable to something.

I certainly welcome more discussion of this topic, however.
--
Thomas Hood





Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Message #14 received at 267321-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 267321-submitter@bugs.debian.org
Cc: VSJ <debian@terabytemusic.cjb.net>
Subject: another opinion
Date: Sun, 22 Aug 2004 22:12:24 +0200
I asked around and I received this answer:
> If a DHCP server provides an hostname *but* this is not resolvable
> by DNS then the server is broken. That's all.

In other words, the place for the dynamically allocated FQDN is in
the DNS server, not in /etc/hosts -- according to this person.
--
Thomas




Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Message #17 received at 267321-submitter@bugs.debian.org (full text, mbox):

From: VSJ <debian@terabytemusic.cjb.net>
To: Thomas Hood <jdthood@aglu.demon.nl>, 267321-submitter@bugs.debian.org
Subject: Re: another opinion
Date: Sun, 22 Aug 2004 22:37:14 +0200
On Sunday 22 August 2004 22:12, Thomas Hood wrote:
> I asked around and I received this answer:
> > If a DHCP server provides an hostname *but* this is not resolvable
> > by DNS then the server is broken. That's all.
>
> In other words, the place for the dynamically allocated FQDN is in
> the DNS server, not in /etc/hosts -- according to this person.

I'd go for the following solution:
if a user configures his network interface using DHCP during Debian Setup, do 
not bind the hostname with localhost, store the following line in /etc/hosts 
instead:

127.0.0.1 localhost.localdomain localhost

or just:

127.0.0.1 localhost

Of course, the hostname should be resolvable (server may use dnsmasq or 
dns-dhcp bindings or has all clients in its /etc/hosts file)


If the user configures his network interface with a static IP/hostname, then 
do the following:

127.0.0.1 localhost.localdomain localhost
<static IP> <hostname>

or:

127.0.0.1 localhost
<static IP> <hostname>


If no network interface was detected during setup, use the following line:

127.0.0.1 localhost.localdomain localhost <hostname>

Stanley



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 267321@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 267321-submitter@bugs.debian.org, 267321@bugs.debian.org
Cc: VSJ <debian@terabytemusic.cjb.net>, Bill Allombert <ballombe@debian.org>, Pierre Machard <pmachard@debian.org>, Greg Folkert <greg@gregfolkert.net>, Bernd Eckenfels <lists@lina.inka.de>, "Adam D. Barratt" <highvol-debian-devel@adam-barratt.org.uk>, Chris Hanson <cph@debian.org>
Subject: Debian installer and /etc/hosts
Date: Mon, 23 Aug 2004 09:40:29 +0200
On Sun, 2004-08-22 at 22:37, VSJ wrote:
> I'd go for the following solution:

[... not to include the hostname as an alias for 127.0.0.1
if the network is configured via DHCP.]

I am beginning to think that we should bite the bullet and do one of
two things.  Either,

1. to require software to work even if <hostname> cannot be resolved,

or,

2. to make the following a standard entry in /etc/hosts:
       127.0.1.1   <hostname>


Repeating myself from #247734 ...

I think we should continue to consider the alternative of having:

    127.0.0.1	localhost.localdomain	localhost
    127.0.1.1	<hostname>

when there is no static IP address we can use instead of '127.0.1.1'.

The advantage of this configuration is that localhost.localdomain is
the canonical hostname for the standard loopback address -- the 
address one gets if one looks up 'localhost', and <hostname> is the
canonical host name for the address one gets if one looks up
<hostname>.

I don't think that there are many disadvantages.  All sudo wants is that
the hostname be resolvable; the address to which the hostname resolves
doesn't have to work.  There may be other programs that want to resolve
the hostname and also use it and for that reason it seems safest to 
make the hostname resolve to a 127.* address.  127.0.1.1 works as well
as 127.0.0.1 for some services: I have tried ping, telnet, ssh and
name lookups using dnsmasq and they all work at 127.0.1.1.  If there
are services for which 127.0.1.1 fails to work then we will either have
to modify those services or tell people not to access those services via
<hostname> but via 'localhost'.
--
Thomas





Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to root@localhost.dyndns.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 267321@bugs.debian.org (full text, mbox):

From: John Summerfield <debian@ComputerDatasafe.com.au>
To: Thomas Hood <jdthood@aglu.demon.nl>, 267321@bugs.debian.org
Cc: 267321-submitter@bugs.debian.org, VSJ <debian@terabytemusic.cjb.net>, Bill Allombert <ballombe@debian.org>, Pierre Machard <pmachard@debian.org>, Greg Folkert <greg@gregfolkert.net>, Bernd Eckenfels <lists@lina.inka.de>, "Adam D. Barratt" <highvol-debian-devel@adam-barratt.org.uk>, Chris Hanson <cph@debian.org>
Subject: Re: Bug#267321: Debian installer and /etc/hosts
Date: Mon, 23 Aug 2004 16:56:57 +0800
Seems to me that this behaviour Thos proposes is thoroughly broken. 
Several times I've had problems because the host name resolves to the 
wrong address.

I'll go further too and propose that sudo's hehaviour is broken. It 
should not be trying to resolve $HOSTNAME if there's no external 
network: note that if there's no external network that implies the user 
has local access. Test rules for 127.0.0.1 by all means.

The brokenness of sudo is no reason to break even more software.

If there is no external network, then the behaviour of programs such as 
ping, telnet, ssh are irrelevant. All are of limited use without a 
functioning network.



Thomas Hood wrote:

>On Sun, 2004-08-22 at 22:37, VSJ wrote:
>  
>
>>I'd go for the following solution:
>>    
>>
>
>[... not to include the hostname as an alias for 127.0.0.1
>if the network is configured via DHCP.]
>
>I am beginning to think that we should bite the bullet and do one of
>two things.  Either,
>
>1. to require software to work even if <hostname> cannot be resolved,
>
>or,
>
>2. to make the following a standard entry in /etc/hosts:
>       127.0.1.1   <hostname>
>
>
>Repeating myself from #247734 ...
>
>I think we should continue to consider the alternative of having:
>
>    127.0.0.1	localhost.localdomain	localhost
>    127.0.1.1	<hostname>
>
>when there is no static IP address we can use instead of '127.0.1.1'.
>
>The advantage of this configuration is that localhost.localdomain is
>the canonical hostname for the standard loopback address -- the 
>address one gets if one looks up 'localhost', and <hostname> is the
>canonical host name for the address one gets if one looks up
><hostname>.
>
>I don't think that there are many disadvantages.  All sudo wants is that
>the hostname be resolvable; the address to which the hostname resolves
>doesn't have to work.  There may be other programs that want to resolve
>the hostname and also use it and for that reason it seems safest to 
>make the hostname resolve to a 127.* address.  127.0.1.1 works as well
>as 127.0.0.1 for some services: I have tried ping, telnet, ssh and
>name lookups using dnsmasq and they all work at 127.0.1.1.  If there
>are services for which 127.0.1.1 fails to work then we will either have
>to modify those services or tell people not to access those services via
><hostname> but via 'localhost'.
>--
>Thomas
>
>
>
>
>  
>

-- 

Cheers
John

-- spambait
1aaaaaaa@computerdatasafe.com.au  Z1aaaaaaa@computerdatasafe.com.au
Tourist pics http://portgeographe.environmentaldisasters.cds.merseine.nu/




Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 267321@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 267321-submitter@bugs.debian.org, 267321@bugs.debian.org
Cc: VSJ <debian@terabytemusic.cjb.net>, Bill Allombert <ballombe@debian.org>, Pierre Machard <pmachard@debian.org>, Greg Folkert <greg@gregfolkert.net>, Bernd Eckenfels <lists@lina.inka.de>, "Adam D. Barratt" <highvol-debian-devel@adam-barratt.org.uk>, Chris Hanson <cph@debian.org>, Bdale Garbee <bdale@gag.com>
Subject: Debian installer and /etc/hosts
Date: Mon, 23 Aug 2004 14:53:11 +0200
John Summerfield wrote:
> I'll go further too and propose that sudo's hehaviour is broken. It 
> should not be trying to resolve $HOSTNAME if there's no external 
> network: note that if there's no external network that implies the
> user has local access. Test rules for 127.0.0.1 by all means.
> The brokenness of sudo is no reason to break even more software.


Bdale Garbee has already addressed this accusation in his comment to
bug report #266209:
> One of the features of sudo is the ability to express permissions across 
> hosts, which results in sudo wanting to be able to do DNS lookups on the
> current host.  
> 
> If you want this to work with less delay when the network isn't accessible,
> you should investigate the options provided by the nsswitch.conf file to have 
> a working gethostbyname() capability even when DNS servers aren't reachable.


John Summerfield continued:
> If there is no external network, then the behaviour of programs such as 
> ping, telnet, ssh are irrelevant. All are of limited use without a 
> functioning network.

That isn't entirely true.  Some programs use the loopback interface to
provide/use services locally.
--
Thomas Hood




Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to root@localhost.dyndns.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #46 received at 267321@bugs.debian.org (full text, mbox):

From: John Summerfield <debian@ComputerDatasafe.com.au>
To: 267321@bugs.debian.org
Cc: 267321-submitter@bugs.debian.org, VSJ <debian@terabytemusic.cjb.net>, Bill Allombert <ballombe@debian.org>, Pierre Machard <pmachard@debian.org>, Greg Folkert <greg@gregfolkert.net>, Bernd Eckenfels <lists@lina.inka.de>, "Adam D. Barratt" <highvol-debian-devel@adam-barratt.org.uk>, Chris Hanson <cph@debian.org>, Bdale Garbee <bdale@gag.com>
Subject: Re: Bug#267321: Debian installer and /etc/hosts
Date: Mon, 23 Aug 2004 21:51:20 +0800
Thomas Hood wrote:

>
>John Summerfield continued:
>  
>
>>If there is no external network, then the behaviour of programs such as 
>>ping, telnet, ssh are irrelevant. All are of limited use without a 
>>functioning network.
>>    
>>
>
>That isn't entirely true.  Some programs use the loopback interface to
>provide/use services locally.
>  
>
Then it's the user's task to configure the system appropriately. I run a 
webserver. I can configure it to listen to any IP address I choose, 
including 127.0.0.1. I don't need any bogus network interfaces, IP 
addresses or host names misconfigure by the vendor.

I mentioned _those_ programs by name because they were mentioned in the 
email that attracted my attention. None of those require a 
(misconfigured) hostname to resolve to anything.

Better to allow the user to configure the system _properly_ and to have 
it fail if it's broken than to make it work with misconfiguration.





-- 

Cheers
John

-- spambait
1aaaaaaa@computerdatasafe.com.au  Z1aaaaaaa@computerdatasafe.com.au
Tourist pics http://portgeographe.environmentaldisasters.cds.merseine.nu/




Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Greg Folkert <greg@gregfolkert.net>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 267321@bugs.debian.org (full text, mbox):

From: Greg Folkert <greg@gregfolkert.net>
To: root@localhost.dyndns.org
Cc: 267321@bugs.debian.org, 267321-submitter@bugs.debian.org, VSJ <debian@terabytemusic.cjb.net>, Bill Allombert <ballombe@debian.org>, Pierre Machard <pmachard@debian.org>, Bernd Eckenfels <lists@lina.inka.de>, "Adam D. Barratt" <highvol-debian-devel@adam-barratt.org.uk>, Chris Hanson <cph@debian.org>, Bdale Garbee <bdale@gag.com>
Subject: Re: Bug#267321: Debian installer and /etc/hosts
Date: Mon, 23 Aug 2004 18:24:17 -0400
[Message part 1 (text/plain, inline)]
On Mon, 2004-08-23 at 21:51 +0800, John Summerfield wrote:
[...]
> Then it's the user's task to configure the system appropriately. I run a 
> webserver. I can configure it to listen to any IP address I choose, 
> including 127.0.0.1. I don't need any bogus network interfaces, IP 
> addresses or host names misconfigure by the vendor.
> 
> I mentioned _those_ programs by name because they were mentioned in the 
> email that attracted my attention. None of those require a 
> (misconfigured) hostname to resolve to anything.
> 
> Better to allow the user to configure the system _properly_ and to have 
> it fail if it's broken than to make it work with misconfiguration.

Are we forgetting the premise on which name resolution was developed?

First successful query wins. For machine that are connected to the
Internet but on multiple networks that may or may not have Internet
service...

nsswitch.conf

For successful Network Init:

hosts:  dns files

For unsuccessful Network init:

hosts:  files dns

This single change would take care of 99% of the problems. Make an
option during setup, if this machine is a "multiple" config machine,
then let this get changed... you could also manage resolv.conf this way
as well. Be nearly transparent.

There are other ways you could do this.

Maybe I am not really looking this through properly. But I doubt that.

DHCP and DNS need to be coordinated properly, though.
-- 
greg, greg@gregfolkert.net

The technology that is
Stronger, better, faster:  Linux
[signature.asc (application/pgp-signature, inline)]

Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 267321@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 267321@bugs.debian.org, 267321-submitter@bugs.debian.org
Cc: VSJ <debian@terabytemusic.cjb.net>, Bill Allombert <ballombe@debian.org>, Pierre Machard <pmachard@debian.org>, Bernd Eckenfels <lists@lina.inka.de>, "Adam D. Barratt" <highvol-debian-devel@adam-barratt.org.uk>, Chris Hanson <cph@debian.org>, Bdale Garbee <bdale@gag.com>, Marc Haber <mh+debian-bugs@zugschlus.de>
Subject: Re: Bug#267321: Debian installer and /etc/hosts
Date: Tue, 24 Aug 2004 09:44:36 +0200
Greg Folkert  wrote:
> nsswitch.conf
> 
> For successful Network Init:
> 
>     hosts:  dns files
> 
> For unsuccessful Network init:
> 
>     hosts:  files dns


Interesting idea.  However, I think that we should try hard to find a
solution that does not involve dyna-switching the nsswitch.conf file.


> This single change would take care of 99% of the problems. Make an
> option during setup, if this machine is a "multiple" config machine,
> then let this get changed.


Also, we should try to find a solution that doesn't require the setting
and resetting of an option.
--
Thomas Hood



Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 267321@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 267321@bugs.debian.org, 267321-submitter@bugs.debian.org
Cc: VSJ <debian@terabytemusic.cjb.net>, Bill Allombert <ballombe@debian.org>, Pierre Machard <pmachard@debian.org>, Bernd Eckenfels <lists@lina.inka.de>, "Adam D. Barratt" <highvol-debian-devel@adam-barratt.org.uk>, Chris Hanson <cph@debian.org>, Bdale Garbee <bdale@gag.com>, Marc Haber <mh+debian-bugs@zugschlus.de>
Subject: Re: Bug#267321: Debian installer and /etc/hosts
Date: Wed, 25 Aug 2004 09:31:45 +0200
tags 267321 wontfix
thanks

I have discussed this matter with Joshua Kwan and we agree that it is
best to leave the installer as it is for now.

Please follow up to #267321.
--
Thomas Hood



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 267321@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 267321-submitter@bugs.debian.org, 267321@bugs.debian.org
Subject: A solution
Date: Wed, 25 Aug 2004 09:35:54 +0200
Martin Michlmayr wrote:
> d-i made the following /etc/hosts entry:
> 
> 127.0.0.1       localhost.localdomain   localhost qube
> 
> Even though DHCP found my domain (cyrius.com), it is not mentioned
> anywhere.  Now "hostname" produces "qube" whereas "hostname -f" gives
> "localhost.localdomain".  I think this is a broken FQDN given that it
> could easily show "qube.cyrius.com" now (as it found my domain, as
> mentioned before).


Add the following line to /etc/resolv.conf:

    domain    cyrius.com

Please let me know whether or not this solves your problem.  If it does
then we can modify your DHCP client program and/or resolvconf to get
this line added automagically.
--
Thomas




Tags added: wontfix Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #88 received at 267321@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 267321-submitter@bugs.debian.org, 267321@bugs.debian.org
Subject: Re: A solution
Date: Wed, 25 Aug 2004 11:18:30 +0200
I wrote:
> Add the following line to /etc/resolv.conf:
>
>    domain    cyrius.com

With this line in place you should see:

     $ hostname --fqdn
     qube.cyrius.com

Note that for this to work you need to have this in /etc/nsswitch.conf:

     hosts: dns files

And for _this_ to work without causing delays you need to have resolvconf
installed and correctly configured so that when the interface is
deconfigured you don't have unreachable nameserver addresses listed in
/etc/resolv.conf.

And if you have resolvconf installed it means that the

    domain    cyrius.com

line in resolv.conf should be inserted by resolvconf.

This means that DHCP clients and resolvconf should be enhanced so that
they do insert that line.
--
Thomas Hood



Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#267321. Full text and rfc822 format available.

Information stored:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #96 received at 267321-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 267321-quiet@bugs.debian.org
Subject: Re: A solution
Date: Wed, 25 Aug 2004 12:07:48 +0200
A better solution would be as follows.  It requires writing a new
nss-providor database named "files2" which works like "files" but
consults /etc/hosts2 instead of /etc/hosts.  

Removal all mention of <hostname> from /etc/hosts.  Thus,
/etc/hosts:

    127.0.0.1  localhost.localdomain   localhost

Add an entry for <hostname> to /etc/hosts2:

    127.0.1.1   <hostname>

And set up /etc/nsswitch.conf:

    hosts:   files dns files2

--
Thomas Hood



Information stored:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@aglu.demon.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #101 received at 267321-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@aglu.demon.nl>
To: 267321-quiet@bugs.debian.org
Subject: Related discussion at fedora-list
Date: Wed, 25 Aug 2004 13:44:29 +0200
There was a discussion about this on fedora-list in April 2004
starting here:

http://www.redhat.com/archives/fedora-list/2004-April/msg01502.html

The suggestion that the local hostname be given another 127.* address
in /etc/hosts is also made in that discussion:

http://www.redhat.com/archives/fedora-list/2004-April/msg01601.html
http://www.redhat.com/archives/fedora-list/2004-April/msg01506.html

The address suggested was 127.0.0.2, not 127.0.1.1, though.  :)
--
Thomas




Information stored:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #106 received at 267321-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 267321-quiet@bugs.debian.org
Subject: Re: A solution
Date: Wed, 25 Aug 2004 15:07:20 +0200
I wrote:
> It requires writing a new nss-provider [service] named "files2"

I have looked at the glibc sources and I judge it to be rather
difficult to add an additional service there.  We would have to
write our own, separate, service from scratch.  Assuming that is
the case, it would probably be easier to write a "debian-default"
service which would do nothing more than respond to 'localhost'
and 'localhost.localdomain' with '127.0.0.1' and to the current
hostname with '127.0.1.1'.
--
Thomas Hood



Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to fabbione@fabbione.net (Fabio M. Di Nitto):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #113 received at 267321-close@bugs.debian.org (full text, mbox):

From: fabbione@fabbione.net (Fabio M. Di Nitto)
To: 267321-close@bugs.debian.org
Subject: Bug#267321: fixed in xfree86 4.3.0.dfsg.1-9
Date: Thu, 09 Dec 2004 16:03:04 -0500
Source: xfree86
Source-Version: 4.3.0.dfsg.1-9

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0.dfsg.1-9_i386.deb
libdps-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0.dfsg.1-9_i386.deb
libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
libdps1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libdps1_4.3.0.dfsg.1-9_i386.deb
libice-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice-dev_4.3.0.dfsg.1-9_i386.deb
libice6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0.dfsg.1-9_i386.deb
libice6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libice6_4.3.0.dfsg.1-9_i386.deb
libsm-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0.dfsg.1-9_i386.deb
libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
libsm6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libsm6_4.3.0.dfsg.1-9_i386.deb
libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
libx11-6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-6_4.3.0.dfsg.1-9_i386.deb
libx11-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0.dfsg.1-9_i386.deb
libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
libxaw6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw6_4.3.0.dfsg.1-9_i386.deb
libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
libxaw7_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxaw7_4.3.0.dfsg.1-9_i386.deb
libxext-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0.dfsg.1-9_i386.deb
libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
libxext6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxext6_4.3.0.dfsg.1-9_i386.deb
libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
libxft1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxft1_4.3.0.dfsg.1-9_i386.deb
libxi-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0.dfsg.1-9_i386.deb
libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
libxi6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxi6_4.3.0.dfsg.1-9_i386.deb
libxmu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0.dfsg.1-9_i386.deb
libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
libxmu6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmu6_4.3.0.dfsg.1-9_i386.deb
libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
libxmuu1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0.dfsg.1-9_i386.deb
libxp-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0.dfsg.1-9_i386.deb
libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
libxp6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxp6_4.3.0.dfsg.1-9_i386.deb
libxpm-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0.dfsg.1-9_i386.deb
libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
libxpm4_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxpm4_4.3.0.dfsg.1-9_i386.deb
libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
libxrandr2_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0.dfsg.1-9_i386.deb
libxt-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0.dfsg.1-9_i386.deb
libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
libxt6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxt6_4.3.0.dfsg.1-9_i386.deb
libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
libxtrap6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0.dfsg.1-9_i386.deb
libxtst-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0.dfsg.1-9_i386.deb
libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
libxtst6_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxtst6_4.3.0.dfsg.1-9_i386.deb
libxv-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0.dfsg.1-9_i386.deb
libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
libxv1_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/libxv1_4.3.0.dfsg.1-9_i386.deb
pm-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0.dfsg.1-9_all.deb
proxymngr_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/proxymngr_4.3.0.dfsg.1-9_i386.deb
twm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/twm_4.3.0.dfsg.1-9_i386.deb
x-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0.dfsg.1-9_all.deb
x-window-system-core_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0.dfsg.1-9_i386.deb
x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
x-window-system_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0.dfsg.1-9_all.deb
xbase-clients_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0.dfsg.1-9_i386.deb
xdm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xdm_4.3.0.dfsg.1-9_i386.deb
xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
xfonts-base_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0.dfsg.1-9_all.deb
xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
xfonts-scalable_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0.dfsg.1-9_all.deb
xfree86-common_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0.dfsg.1-9_all.deb
xfree86_4.3.0.dfsg.1-9.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-9.diff.gz
xfree86_4.3.0.dfsg.1-9.dsc
  to pool/main/x/xfree86/xfree86_4.3.0.dfsg.1-9.dsc
xfs_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xfs_4.3.0.dfsg.1-9_i386.deb
xfwp_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xfwp_4.3.0.dfsg.1-9_i386.deb
xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
xlibmesa3_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0.dfsg.1-9_i386.deb
xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
xlibs-data_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0.dfsg.1-9_all.deb
xlibs-dbg_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0.dfsg.1-9_all.deb
xlibs-dev_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0.dfsg.1-9_all.deb
xlibs-pic_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0.dfsg.1-9_all.deb
xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
xlibs_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0.dfsg.1-9_all.deb
xmh_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xmh_4.3.0.dfsg.1-9_i386.deb
xnest_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xnest_4.3.0.dfsg.1-9_i386.deb
xprt_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xprt_4.3.0.dfsg.1-9_i386.deb
xserver-common_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-common_4.3.0.dfsg.1-9_i386.deb
xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
xspecs_4.3.0.dfsg.1-9_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0.dfsg.1-9_all.deb
xterm_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xterm_4.3.0.dfsg.1-9_i386.deb
xutils_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xutils_4.3.0.dfsg.1-9_i386.deb
xvfb_4.3.0.dfsg.1-9_i386.deb
  to pool/main/x/xfree86/xvfb_4.3.0.dfsg.1-9_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 267321@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabio M. Di Nitto <fabbione@fabbione.net> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 09 Dec 2004 17:14:45 +0100
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source i386 all
Version: 4.3.0.dfsg.1-9
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Fabio M. Di Nitto <fabbione@fabbione.net>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries dummy package
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries dummy package
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries dummy package
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Keyboard Extension (XKB) configuration data and metapackage
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries dummy package
 xlibs-dev  - X Window System client library development files dummy package
 xlibs-pic  - XFree86 static PIC libraries dummy package
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 80140 172526 231837 235574 236086 241534 241566 245371 246398 250331 252068 258575 263076 263561 265133 267321 268461 268812 268997 270235 270496 271030 271326 273202 274018 274101 274457 274513 275329 275473 275710 276415 276447 277038 277699 277832 278654 278714 278897 279436 280384
Changes: 
 xfree86 (4.3.0.dfsg.1-9) unstable; urgency=high
 .
   * Security update release.  Resolves CAN-2004-0914 (several Xpm library
     vulnerabilities).
 .
   Changes by Branden Robinson:
 .
   * Update Danish debconf template translations (thanks, Claus Hindsgaul).
     (Closes: #274101)
 .
   * Add FAQ entry: Why does composing characters work in some applications but
     not others?
 .
   * Apply patch from Jan Wilhelm Stumpel to correct miscoded Unicode Plane 1
     characters in en_US.UTF-8 compose map.  (Closes: #267321)
 .
   * Install xlibs's bug script in the binary-indep rule, not binary-arch,
     since xlibs is an architecture "all" package.  Now the script will
     actually be shipped.
 .
   * If the restorecon command is available, restore SELinux file security
     contexts after setting up X server and ICE socket directories
     (xfree86-common) and font server socket directories (xfs) after creating
     them in the init scripts.  (Closes: #268812, #271030)
 .
   * Fix missing-word typo in xnest's package description.  Thanks to Roland
     Stigge for catching this.  (Closes: #268997)
 .
   * Remove build-dependency on libstdc++5-dev | libstdc++-dev.  A package
     providing libstdc++-dev is build-essential.  Thanks to Steve Langasek for
     his counsel on this issue.  (Closes: #268461)
 .
   * Make xserver-common conflict with xserver-xfree86 and xserver-xfree86-dbg
     4.3.0.dfsg.1-[56] using exact versioned conflicts.  This prevents versions
     of the xserver-xfree86{,-dbg} packages that depend on a now-vanished
     interface in dexconf from being installed in conjunction with it.  See the
     changelog entry for 4.3.0.dfsg.1-7 for more information.  Thanks to Adrian
     Bunk for this suggestion.
 .
   * Grab from XFree86 CVS (no later than 2003-12-31) several updates to the
     Video4Linux (v4l) driver:
     + [#include regionstr.h, not miscstruct.h.] (#A.1859, Alexander Stohr)
       [David Dawes]
     + [Update format string when reporting memPhysBase.] (David Dawes)
     + Fix a problem with the v4l driver not seeing all the tv-norms available
       under the bttv driver with the Linux 2.6.0-test11 kernel (#5976, Marco
       Antonio Alvarez).  [David Dawes]
     + Change v4l "norm" names to the bttv versions (#5993, Marco Antonio
       Alvarez).  [David Dawes]
     (Closes: #270496)
 .
   * Update "Further Information" section of FAQ.
 .
   * Add FAQ entry: What are Debian's plans with respect to X.Org and
     XFree86?
 .
   * Add FAQ entry: Sometimes I get garbage characters like 1;2c in my xterm
     windows; what's happening?
 .
   * Update FAQ entry: My keyboard configuration worked with XFree86 4.2; why
     is it messed up now?
 .
   * Update FAQ entry: How does the keyboard work in the X Window System?
 .
   * Apply patch (#036) submitted to XFree86 Bugzilla on 2003-04-03 by the DRI
     Developers to fix OpenGL application crashes with "Assertion `vb.context
     == ctx' failed." for ATI R200 DRI users (thanks, Martin Dickopp).
     (Closes: #241534)
 .
   * Add copyright and (MIT/X11 style) license for Bitstream Type1 fonts to
     copyright file.  Thanks to Ben Harris for pointing this out.
     (Closes: #274018)
 .
   * Clean up and expand xclock(1x) manpage to document the effects the RENDER
     extension has on command-line option and X resource handling.  Thanks to
     Vincent McIntyre for prompting this.  (Closes: #241566)
 .
   * Use run() to unregister obsolete debconf templates in xserver-xfree86,
     since failure to do so is not fatal, and will occur if we are upgrading
     from a version of the package so old (pre-woody unstable) that the
     templates don't exist to be unregistered.  Thanks to Florian Laws for
     diagnosing this bug.  (Closes: #275710)
 .
   * Stop manually compressing the plain text version of the Debian X FAQ;
     dh_compress will take care of that.  Tell dh_compress to avoid compressing
     the XHTML version of the FAQ.
 .
   * Restore xdm's Xreset script, which was removed in 4.2.1-12.  If the
     use-sessreg option is set and the sessreg command is available, user X
     sessions will be de-registered from the utmp and wtmp files again.
     Update maintainer scripts to stop removing the conffile.  Update
     xdm.install and MANIFEST.* files to ship Xreset script.  The old
     xconsole-related logic is not restored.  (Closes: #275329)
 .
   * Replace XFree86 X server pre-release banner message with long boilerplate
     that declaims the release as heavily modified by Debian, and directs users
     to the Debian Bug Tracking System and the Debian X FAQ instead of XFree86
     mailing lists; also replace an occurence of an XFree86 mailing list
     address in a tseng driver message (patch #914).
 .
   * Update xlibs's package description to stop implying that *no* packages
     have up-to-date dependencies on it (xbase-clients does, due to xkbcomp,
     which is statically linked against libxkbfile).
 .
   * Apply patch from Jeff Licquia to port the X configlet to python-configlet
     version 2 so that xserver-xfree86 package configuration
     doesn't crash for people who have the configlet infrastructure installed.
     Make xserver-common conflict with python-configlet (<< 2.0) accordingly.
     (Closes: #263076)
 .
   * Apply patch from Jason Lunz for silly thinko that caused arguments to
     xvfb-run to be misparsed if they contained whitespace.  Thanks, Jason!
     (Closes: #276415)
 .
   * Tidy up and make consistent all Debian-specific manpages.
 .
   * Update package descriptions to replace the term "pseudopackage" (which
     apparently only the xfree86 source package uses) with "dummy package" in
     the short description, and "transitional package" in the extended
     description, per section 6.7.7 of the Debian Developers' Reference.
 .
   * Update patch #009 to improve the fix for the Rage128-specific problem with
     engine lockups; because CCE idle commands may never finish, eventually
     stop the engine altogether after a long enough period of inactivity.
     Thanks to Daniel Jacobowitz for the original patch, this improved version,
     and the real-world testing.  (Closes: #278654)
 .
   * Add FAQ entry: What is the story with XFree86 3.x?
 .
   * Apply some fixes to the XFree86 X server's ELF object loader:
     + Stop conditionally #including <sys/mman.h> since it is unconditionally
       imported earlier in the file.
     + Perform an mprotect() for AMD64 Linux systems as well as OpenBSD to
       prevent SEGVs on NX-enabled kernels.  (Closes: #277699)
     + Fix a problem with parentheses when using the preprocessor (doesn't
       affect Debian, but would cause unexpected behavior on OpenBSD).
 .
   * Perform some cleanup work on the shared library maintainer scripts of
     libdps1, libxaw6, libxaw7, xlibmesa-gl, xlibmesa-glu, and xlibosmesa4;
     thanks to Fabio for noticing the inconsistencies.
     + Call register_x_lib_dir_with_ld_so() before invoking ldconfig in the
       post-installation scripts.
     + Perform configuration actions regardless of the value of "$1" in the
       post-installation scripts.
     + Call deregister_x_lib_dir_with_ld_so() before invoking ldconfig in the
       post-removal scripts.
     + Move the #DEBHELPER# expando later in the scripts where applicable.
 .
   * Perform some cleanup work on the update-fonts-{alias,dir,scale} utilities
     and their manual pages.
     + Eliminate XSIisms (-a, -o) in uses of test(1)/[(1).
     + Re-indent at four spaces.
     + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
       does.  Fall back to a width of 80 if stty returns garbage or nothing.
     + Rename error() to die().
     + Add usage() function and -h, --help option.
     + Use exit status 2 to indicate usage errors as opposed to operational
       failures.
     + Be more careful with quoting shell variables.
     + Add and expand comments.
     + Add SVN Id keyword.
     + Update Vim modeline.
     + Update manual pages to document changes in interface and behavior (there
       are no backwards-incomaptible changes).
 .
   * Perform some cleanup work on the xvfb-run utility and its manual page.
     + Query terminal for its width if $COLUMNS is not set, as shell-lib.sh
       does.  Fall back to a width of 80 if stty returns garbage or nothing.
     + Add message() and error() functions.
     + Enhance usage() function to (additionally) display an error message
       consisting of the function arguments, if any.
     + Use error() and usage() instead of echo for error messages.
     + Cosmetically tidy up usage message, and correct a typo.
     + Declare locally-scoped variable in find_free_servernum().
     + Store getopt's exit status and report it in an error message if it is
       nonzero.
     + Clarify the error message if getopt rearranges the command line in a way
       we don't expect.
     + Tidy up comment, shell function, and redirection style.  Wrap long
       lines.  Quote variables that may have whitespace in them.  Update Vim
       modeline.
     + Describe effect of $COLUMNS environment variable in manpage.
     + Remove erroneous description of exit status 1, and explain why it is not
       used.
     + Add description of exit statuses 0, 4, 5, and 6.
     + Fix markup error.
 .
   * Replace many occurences of XSI connectives in test(1) with POSIX shell
     connectives in scripts.
 .
   * Apply patch from David Mosberger that replaces the fix for #225526 with
     one that works on systems that do not have a PCI bus numbered 0.  Thanks,
     David!  (Closes: #279436)
 .
   * Apply patch from Richard Mortimer to fix the XFree86 X server's ELF object
     loader to set the PROT_EXEC flag on mmap()ed modules regardless of machine
     architecture.  (It was already trying to do this, but there are three
     preprocessor statements involved, and we were only patching one.)
     (Closes: #280384)
 .
   * Update XTerm to patch #197 (2004-09-30) from Thomas Dickey's website.
     + Change default translations so a BtnDown which is not recognized is
       simply ignored rather than emitting a bell.  That makes it less
       obtrusive when the user tries to use a mouse which provides more
       capabilities than the X mouse driver supports, e.g., one with a
       horizontal scroll wheel.  (Closes: #265133)
     + Note in xterm's manpage that "translations" is not specific to xterm.
       (Closes: #278897)
     + Modify uxterm script to use locale program to verify if the derived
       locale is installed.  (Closes: #246398)
     + Modify the criteria for disowning primary selection.  Previously, this
       happened anytime the cursor was moved before the end of the selection.
       That would ensure that any insert/delete of char or line, as well as
       scrolling, would disown the selection.  The new criteria change this to
       checking if the operations would modify the data which is highlighted.
       (Closes: #277832)
     + Correct handling selection of tabs over cleared space in UTF-8 mode.  In
       this special case, xterm represents the whitespace with a null rather
       than a space character.  (Closes: #276447)
     + Amend fix for infinite loop from patch #192 to check if there is wrapped
       text to output in a following iteration.  (Closes: #273202)
     + Amend solution for Debian #252873, #260471 from patch #194 by making the
       cursor not explicitly colored if only the foreground color is set, and
       the cursor is on a blank space.  (Closes: #275473)
 .
   * Add magic register poke to neomagic driver which apparently speeds up DVD
     playback operations.  Thanks to Tony Hill for finding this patch.
     Unfortunately, despite efforts to locate some, there appears to be no
     documentation of why this register poke works.  (Closes: #277038)
 .
   Changes by Denis Barbier and Fabio M. Di Nitto:
 .
   * Edit xc/programs/xkbcomp/symbols/pc/Imakefile so that the new pc/us_intl
     layout file gets installed.  Update MANIFEST files and xlibs.install to
     ensure the file get shipped.
     + Ship a multi-layout aware us_intl layout.  (Closes: #271326)
     + Make us_intl work again.  (Closes: #274513)
 .
   * Update Dutch debconf template translations (thanks, Bart Cornelis).
     (Closes: #278714)
 .
   Changes by Denis Barbier:
 .
   * Make Sun keyboards load srvr_ctrl(xfree86) symbol definitions to have
     access to standard Ctrl+Alt key sequences.  (Closes: #236086)
 .
   * Add several multi-layout aware layouts:
     + ca (Canada) contains several variants: "fr" is meant as a replacement
       for ca_enhanced, "fr-legacy" is another variant, and "multi" is an
       implementation of CAN/CSA-Z243.200-92.  This standard requires two
       groups, so it is in fact divided into "multi" and "multi-2gr" variants.
       By default, "ca" loads both "multi" and "multi-2gr" to provide a
       full-featured keyboard.  When it is combined with other layouts, the
       simpler variant "fr" is used, but others can be explicitly specified.
       (Closes: #245371, #252068, #258575)
     + The new ca layout also fixes ISO_Level3_Shift, which was mapped to
       <RCTL> instead of <RALT>.  (Closes: #274457)
     + jp (Japan) also requires a combination of two variants.  When this is
       the only loaded layout, the full combination is used.  When this layout
       is combined with others, only the "jp106" variant is loaded.
     + hu (Hungary) layout has been simplified; some variants have been removed.
       (Closes: #263561)
     + ch (Switzerland) replaces de_CH and fr_CH.
     + mn (Mongolia) and vn (Vietnam) are simple layouts.
 .
   * In UTF-8 compose files, replace U00xx Unicode codepoints by the
     corresponding keysyms.  Otherwise the compose character is in
     the range 0x01000000-0x010000FF which is not valid according to
     appendix A of the X11 protocol.  Even if most applications are able
     to recognize these broken characters, few of them fail, most notably
     xemacs and users are then unable to use composition when in UTF-8
     locales.  (Closes: #235574)
 .
   * Replace level3(ralt_switch_multikey) by level3(ralt_switch) in all
     layouts so that symbols on the 4th column may be accessed with
     Shift+Alt_R or Alt_R+Shift.  (Closes: #270235)
 .
   + In /etc/X11/xkb/rules/xfree86, move lv3 definitions after altwin so
     that the former can override the latter.  See Bug#276143.
 .
   Changes by Fabio M. Di Nitto:
 .
   * Update wacom input driver from http://linuxwacom.sourceforge.net/ up to
     version 0.6.4:
     + Remove now obsolete patch 036_wacom_usb_tablet_update.diff
     + Add patch 000_stolen_from_sourceforge_wacom_driver.diff
     + Fix input timeout problems if the device is not connected.
       No references are available in upstream changelog, but tests do not
       show this behavior anymore. (Closes: #231837)
     + Fix compatibility with kernel 2.6 wacom driver. (Closes: #250331)
     + Add support for Cintiq boards. According to #172526 logs the patch
       has been included, reworked and cleaned by upstream a long time ago.
       No references are available in upstream changelog. (Closes: #172526)
     + A combination of new kernel, xfree86 and wacom driver appears to have
       fixed the APM resume issue as described in #80140. Tests done
       on a powerpc laptop do not show this problem anymore.
       No references are available in upstream changelog. (Closes: #80140)
 .
   * Add workaround for the UseBIOS default setting in the savage driver:
     + Add patch 099i_pro_savage_ddr_set_use_bios_to_false.diff
     + Set UseBios default to "no" for PROSAVAGE_DDR and PROSAVAGE_DDRK, as
       described at <URL: http://www.probo.com/timr/savage40.html >.
 .
   * Fix nl_BE locale alias information.
 .
   * Use validate-posix-sh at build time to perform syntax check on generated
     maintainer scripts.
 .
   * Increase verbosity of validate-posix-sh warnings.  Stop immediately
     exiting upon encountering the first shell interpeter that fails on the
     script; instead, attempt all the interpreters and report all that fail.
 .
   * Sync debian/rules install-server target with install and make
     binary-server work again.
 .
   Changes by Fabio M. Di Nitto and Branden Robinson:
 .
   * Update patch #087 to include fruits of Xpm source code security audit by
     Thomas Beige.  Resolves CAN-2004-0914: memory leak, improper use of signed
     integers, and overflows in the Xpm library.  Resync offset in patch #200.
Files: 
 604583b52dca2ffe3d5f28af1b60684d 2634 x11 optional xfree86_4.3.0.dfsg.1-9.dsc
 165833695fff22cf62d4a56b5bd44549 3507053 x11 optional xfree86_4.3.0.dfsg.1-9.diff.gz
 785685d69848622b281cfeb085bac954 150862 libdevel optional pm-dev_4.3.0.dfsg.1-9_all.deb
 4c5d41d1a9f11b5678ed0816d571f147 207838 libdevel optional x-dev_4.3.0.dfsg.1-9_all.deb
 30aa507ee9b09e08908c74e1d76387d7 4354390 x11 optional xfonts-100dpi_4.3.0.dfsg.1-9_all.deb
 cb034206cb153d5c37f66c0f0570e1c7 8188300 x11 optional xfonts-100dpi-transcoded_4.3.0.dfsg.1-9_all.deb
 1ec84722b9bc441907753ffac2964b61 3832220 x11 optional xfonts-75dpi_4.3.0.dfsg.1-9_all.deb
 74a4e47d9ec37b6d2c13124b54e7fc11 7065056 x11 optional xfonts-75dpi-transcoded_4.3.0.dfsg.1-9_all.deb
 2d64e09c7bda367dfb64a627bedf1a98 5481972 x11 optional xfonts-base_4.3.0.dfsg.1-9_all.deb
 9f2b107795784f9b5d6b1b5ecb50f8f3 1194910 x11 optional xfonts-base-transcoded_4.3.0.dfsg.1-9_all.deb
 6940a2e9be35442f1ed4c67b0a1edcc8 532434 x11 optional xfonts-cyrillic_4.3.0.dfsg.1-9_all.deb
 8608acefa0e3419f49a8ed77bd61c73e 892232 x11 optional xfonts-scalable_4.3.0.dfsg.1-9_all.deb
 ab713c194df9de454ae341efeac794e8 790618 x11 optional xfree86-common_4.3.0.dfsg.1-9_all.deb
 f600a3496f5fe23dd6079c33b7cbb55a 418094 libs optional xlibs_4.3.0.dfsg.1-9_all.deb
 8ca0255c91b039fadfc3c87b6cc25dea 897400 libs optional xlibs-data_4.3.0.dfsg.1-9_all.deb
 81e2dc94ee200dbceb0b02f157395ec4 5825862 x11 optional xspecs_4.3.0.dfsg.1-9_all.deb
 fa301c7313eeaf4f605d683d1eb3bf07 150162 x11 optional x-window-system_4.3.0.dfsg.1-9_all.deb
 bcf9befb8b1ab0133f826d1e286b3320 150018 oldlibs extra xlibmesa3-dbg_4.3.0.dfsg.1-9_all.deb
 910b76e617cb04ca0ad2d3fa2398be59 150002 oldlibs optional xlibmesa-dev_4.3.0.dfsg.1-9_all.deb
 1df8082e7d6fa8854fec9cdfc0dfbdf0 150072 oldlibs extra xlibs-dbg_4.3.0.dfsg.1-9_all.deb
 e12582d5c6ab48a31f94e77e82fdcbec 150072 oldlibs extra xlibs-dev_4.3.0.dfsg.1-9_all.deb
 c3c11c159745ab005afbb5fd9e5d9a6f 149980 oldlibs extra xlibs-pic_4.3.0.dfsg.1-9_all.deb
 30e069d389fea927d16b08d072faf778 241786 x11 optional lbxproxy_4.3.0.dfsg.1-9_i386.deb
 a5b706fb9790c636e99c4e94d024aab8 277496 libs optional libdps1_4.3.0.dfsg.1-9_i386.deb
 d60c040a0c1edb01c9057c3df9ae4c09 774396 libdevel extra libdps1-dbg_4.3.0.dfsg.1-9_i386.deb
 46657e42bc4de5c0a6fe0b8d8e35ca5d 333726 libdevel optional libdps-dev_4.3.0.dfsg.1-9_i386.deb
 065631e2925976a2bc1b3aae0a16446b 194890 libs optional libice6_4.3.0.dfsg.1-9_i386.deb
 b2a4f9cb058ec32afca10a7190b344cf 277862 libdevel extra libice6-dbg_4.3.0.dfsg.1-9_i386.deb
 47d917f75d912bf0ea08d8f60870ca16 196832 libdevel optional libice-dev_4.3.0.dfsg.1-9_i386.deb
 8ec454cdb4d914e0be0753e356aecc94 172608 libs optional libsm6_4.3.0.dfsg.1-9_i386.deb
 54c9462845b460cba3b2d15ffc7d2a47 196870 libdevel extra libsm6-dbg_4.3.0.dfsg.1-9_i386.deb
 09bb9a689bc780c924f8bb4b81f86e54 168194 libdevel optional libsm-dev_4.3.0.dfsg.1-9_i386.deb
 ffe09308b9fee526a378359d33eb11cc 715072 libs optional libx11-6_4.3.0.dfsg.1-9_i386.deb
 f42cc97c1fbbe687fba8e2e50ad15b97 9598498 libdevel extra libx11-6-dbg_4.3.0.dfsg.1-9_i386.deb
 9fe1f80bfda73da5a74dc1afc4e1146b 1349984 libdevel optional libx11-dev_4.3.0.dfsg.1-9_i386.deb
 46163b92e7293a1802d8f03787dada97 276722 libs optional libxaw6_4.3.0.dfsg.1-9_i386.deb
 048b72e343d006cea6e7d308aa1d9fca 882182 libdevel extra libxaw6-dbg_4.3.0.dfsg.1-9_i386.deb
 792b12c9548299f49c0b1598c9fda814 405608 libdevel extra libxaw6-dev_4.3.0.dfsg.1-9_i386.deb
 311e24f6f98083daa861d670c4772f2b 329830 libs optional libxaw7_4.3.0.dfsg.1-9_i386.deb
 8d0be03a4cdb803aff9d11c235acb467 1016794 libdevel extra libxaw7-dbg_4.3.0.dfsg.1-9_i386.deb
 1d86eaa88fb55ba3d6f40d80cd8510dd 405508 libdevel optional libxaw7-dev_4.3.0.dfsg.1-9_i386.deb
 9ff630f9cb97fa0abe3e08647fd19f59 179746 libs optional libxext6_4.3.0.dfsg.1-9_i386.deb
 6cbd35c270fe1c99eb1383d12d20df6b 499252 libdevel extra libxext6-dbg_4.3.0.dfsg.1-9_i386.deb
 1ac46fe9ce964ae0371250c9d68ec23d 238282 libdevel optional libxext-dev_4.3.0.dfsg.1-9_i386.deb
 83c8efcf1f385c30798e48096ecac699 182044 libs optional libxft1_4.3.0.dfsg.1-9_i386.deb
 740f7227aa84c0109be742e5f8ad4b26 461192 libdevel extra libxft1-dbg_4.3.0.dfsg.1-9_i386.deb
 4d726f81aa89c443b3f3d25921b58084 170964 libs optional libxi6_4.3.0.dfsg.1-9_i386.deb
 0f0df17cf0a8061cb634392294454cd8 1158228 libdevel extra libxi6-dbg_4.3.0.dfsg.1-9_i386.deb
 3c267f97744b673be7796c04e64ee219 222634 libdevel optional libxi-dev_4.3.0.dfsg.1-9_i386.deb
 18e9597bee9901a1a76a3bff7f7046af 201132 libs optional libxmu6_4.3.0.dfsg.1-9_i386.deb
 c913cd10602588373dbc174bdaafc877 651460 libdevel extra libxmu6-dbg_4.3.0.dfsg.1-9_i386.deb
 82f614c95c9d06c68846953596dbff4a 209710 libdevel optional libxmu-dev_4.3.0.dfsg.1-9_i386.deb
 38b8b6d0d3c4244453efa7d4cec72538 162984 libs optional libxmuu1_4.3.0.dfsg.1-9_i386.deb
 cdb5e3eb1541e607a38ddd5bf650aec3 200006 libdevel extra libxmuu1-dbg_4.3.0.dfsg.1-9_i386.deb
 e23bb044834ece00b208680fc80e1c27 154500 libdevel optional libxmuu-dev_4.3.0.dfsg.1-9_i386.deb
 dc6fc85aa005f50015871e1f17521b17 170110 libs optional libxp6_4.3.0.dfsg.1-9_i386.deb
 3957e8f4b6c73270cebefa1e7a56ab20 556626 libdevel extra libxp6-dbg_4.3.0.dfsg.1-9_i386.deb
 5648bd8ad6a51a1d64286feca06c89a8 170512 libdevel optional libxp-dev_4.3.0.dfsg.1-9_i386.deb
 408cd7ff5b3f5dd41e4f2e5c33204123 186736 libs optional libxpm4_4.3.0.dfsg.1-9_i386.deb
 90f9d58df23cdfefe1bd4cea32f98225 238304 libdevel extra libxpm4-dbg_4.3.0.dfsg.1-9_i386.deb
 5d2fb156641a3b1137f3e9f71e96b1eb 184952 libdevel optional libxpm-dev_4.3.0.dfsg.1-9_i386.deb
 651d863e54b54850aeeb3297330ccfd2 162728 libs optional libxrandr2_4.3.0.dfsg.1-9_i386.deb
 2472aa539ef3457eecc9e55043ee2b03 191942 libdevel extra libxrandr2-dbg_4.3.0.dfsg.1-9_i386.deb
 738ac38ac0ac3b3eb7b905746560e631 162808 libdevel optional libxrandr-dev_4.3.0.dfsg.1-9_i386.deb
 d644d0fce129e6ed78b115f53aaf453f 319334 libs optional libxt6_4.3.0.dfsg.1-9_i386.deb
 36a036034c4300732a50efdf77c0ca41 1522616 libdevel extra libxt6-dbg_4.3.0.dfsg.1-9_i386.deb
 f26781827bee4250b2b38e547a589796 605848 libdevel optional libxt-dev_4.3.0.dfsg.1-9_i386.deb
 54f14a2777f4eaae205a1c8bec980e27 171920 libs optional libxtrap6_4.3.0.dfsg.1-9_i386.deb
 837fe055e482c8681251db0d9c103371 401916 libdevel extra libxtrap6-dbg_4.3.0.dfsg.1-9_i386.deb
 97a58878c495e12b4fb6de0ba38cdc6b 176310 libdevel optional libxtrap-dev_4.3.0.dfsg.1-9_i386.deb
 651571f66e8a9a76113985bbb92292ae 165632 libs optional libxtst6_4.3.0.dfsg.1-9_i386.deb
 90693f43d20362cdbf250515e77f4f06 228000 libdevel extra libxtst6-dbg_4.3.0.dfsg.1-9_i386.deb
 3196ebc661dc9e0a0d0f7f93f1ec434b 162052 libdevel optional libxtst-dev_4.3.0.dfsg.1-9_i386.deb
 a94df15bb1d1b4b0316331f44b0f6038 163822 libs optional libxv1_4.3.0.dfsg.1-9_i386.deb
 564205c6d07981329605007cc8523a66 194654 libdevel extra libxv1-dbg_4.3.0.dfsg.1-9_i386.deb
 37bad7f94a523fe4d055bdc5dcce74d8 182192 libdevel optional libxv-dev_4.3.0.dfsg.1-9_i386.deb
 5a18f50224c19f8035112f553c281d2d 174086 x11 optional proxymngr_4.3.0.dfsg.1-9_i386.deb
 de50f1cac45650a1fc9b829e90f41da3 256346 x11 optional twm_4.3.0.dfsg.1-9_i386.deb
 7f5a65296bfbee16dad90e3a10f96a44 1932268 x11 optional xbase-clients_4.3.0.dfsg.1-9_i386.deb
 3cf84476326c7700916aadc84cbaa293 293188 x11 optional xdm_4.3.0.dfsg.1-9_i386.deb
 5521947f6ee8fb59fc6cf007fb374c1f 486294 x11 optional xfs_4.3.0.dfsg.1-9_i386.deb
 d6e9c67102557c7a08883c3685c6da60 171998 x11 optional xfwp_4.3.0.dfsg.1-9_i386.deb
 f1bba999dc89d32aca6b9f6a21ebad67 4994410 x11 optional xlibmesa-dri_4.3.0.dfsg.1-9_i386.deb
 b7b4e5170decec79018b442699ab773f 49480036 x11 optional xlibmesa-dri-dbg_4.3.0.dfsg.1-9_i386.deb
 e8898b596ff53ffc184743bff3ac6a95 274756 libs optional xlibmesa-gl_4.3.0.dfsg.1-9_i386.deb
 95d00af46c0d806ce3a18a96ad2bc859 1222370 libdevel extra xlibmesa-gl-dbg_4.3.0.dfsg.1-9_i386.deb
 4d106d819563f998ba7aecb4758c482d 696618 libdevel optional xlibmesa-gl-dev_4.3.0.dfsg.1-9_i386.deb
 8db2b6a5bc1d7792ed48ccdd94b22231 357206 libs optional xlibmesa-glu_4.3.0.dfsg.1-9_i386.deb
 97b9b224a6816c1799296fa3b54ed75e 1102830 libdevel extra xlibmesa-glu-dbg_4.3.0.dfsg.1-9_i386.deb
 17402e1b7962d51ebeeaa15bf07bb29e 426410 libdevel optional xlibmesa-glu-dev_4.3.0.dfsg.1-9_i386.deb
 27ffbf054c95c92ee9c2a4198a7187f7 652886 libs optional xlibosmesa4_4.3.0.dfsg.1-9_i386.deb
 6a14a9ebe0c3dd7f081daa53c31c17ee 4571820 libdevel extra xlibosmesa4-dbg_4.3.0.dfsg.1-9_i386.deb
 2784f88c146c0bddc641ecc0c6af39dc 781368 libdevel optional xlibosmesa-dev_4.3.0.dfsg.1-9_i386.deb
 6e0389707fdd3aefcc600dcf735ef0c6 845596 libdevel optional xlibs-static-dev_4.3.0.dfsg.1-9_i386.deb
 4de427ad34a587b74cfb539b5bb91921 375816 libdevel extra xlibs-static-pic_4.3.0.dfsg.1-9_i386.deb
 48c5f6ff24154f377a72cfadb02a5ba5 218384 mail extra xmh_4.3.0.dfsg.1-9_i386.deb
 a18ea3893b7a24683543b9a8d267a3ef 1456718 x11 optional xnest_4.3.0.dfsg.1-9_i386.deb
 288a30c1a5b50674035665e2a5fad41b 1117744 x11 optional xprt_4.3.0.dfsg.1-9_i386.deb
 5e7dd3f3537ab5ec17c494ab770f1a80 325824 x11 optional xserver-common_4.3.0.dfsg.1-9_i386.deb
 48040e6f94d2ec357a765d3e09a47653 5710034 x11 optional xserver-xfree86_4.3.0.dfsg.1-9_i386.deb
 99fb916587c9cab3cda7c1b235e7cd87 54897076 x11 extra xserver-xfree86-dbg_4.3.0.dfsg.1-9_i386.deb
 70fc7105a7fd5d2c660c564af65dd041 494926 x11 optional xterm_4.3.0.dfsg.1-9_i386.deb
 0890293f0226837e5e142bc8d0653f23 901726 x11 optional xutils_4.3.0.dfsg.1-9_i386.deb
 078d78d3289c9040d6bade021c1cc3ef 1593204 x11 optional xvfb_4.3.0.dfsg.1-9_i386.deb
 34b17b92a59b2167a0ac34c2b51de167 150232 x11 optional x-window-system-core_4.3.0.dfsg.1-9_i386.deb
 4e177316c9f02a1adcf46061b3ef2bc7 150282 x11 extra x-window-system-dev_4.3.0.dfsg.1-9_i386.deb
 9fd4b72f7c1365b2e4b07a5762ac60f4 150030 oldlibs optional xlibmesa3_4.3.0.dfsg.1-9_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBuIchhCzbekR3nhgRAlgSAJ49WmORWulc7DSF0iASqcl43kAYggCfTU8X
M2DF7mPU9+CaxuBht0cBAKc=
=H9Dw
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#267321; Package netcfg. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 267321@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: debian-x@lists.debian.org, control@bugs.debian.org, 267321@bugs.debian.org
Subject: Latest XFree86 changelog incorrectly closed #267321 - reopening
Date: Thu, 9 Dec 2004 23:10:08 +0100
reopen 267321
thanks

Looks like there's a typo in the changelog for version 4.3.0.dfsg.1-9 of 
the XFree86 packages.

* Apply patch from Jan Wilhelm Stumpel to correct miscoded Unicode Plane 1
  characters in en_US.UTF-8 compose map.  (Closes: #267321)

This is not a X11 bug, but a Debian Installer bug.

Cheers,
FJP



Bug reopened, originator not changed. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: wontfix Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 267321 316099. Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Frans Pop <fjp@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #131 received at 316099-close@bugs.debian.org (full text, mbox):

From: Frans Pop <fjp@debian.org>
To: 316099-close@bugs.debian.org
Subject: Bug#316099: fixed in netcfg 1.13
Date: Fri, 19 Aug 2005 13:17:41 -0700
Source: netcfg
Source-Version: 1.13

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive:

netcfg-dhcp_1.13_i386.udeb
  to pool/main/n/netcfg/netcfg-dhcp_1.13_i386.udeb
netcfg-static_1.13_i386.udeb
  to pool/main/n/netcfg/netcfg-static_1.13_i386.udeb
netcfg_1.13.dsc
  to pool/main/n/netcfg/netcfg_1.13.dsc
netcfg_1.13.tar.gz
  to pool/main/n/netcfg/netcfg_1.13.tar.gz
netcfg_1.13_i386.udeb
  to pool/main/n/netcfg/netcfg_1.13_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 316099@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Frans Pop <fjp@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 19 Aug 2005 21:08:39 +0200
Source: netcfg
Binary: netcfg-static netcfg-dhcp netcfg
Architecture: source i386
Version: 1.13
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Frans Pop <fjp@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-dhcp - Configure the network via DHCP (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 316099
Changes: 
 netcfg (1.13) unstable; urgency=low
 .
   [ Thomas Hood ]
   * If there is no permanent IP address with which the system hostname
     (i.e., that which is returned by the "hostname" command) can be
     associated in /etc/hosts then associate it with address 127.0.1.1
     rather than 127.0.0.1.  Associating the system hostname with the
     latter had the unwanted effect of making 'localhost.localdomain'
     the canonical hostname associated with the system hostname.
     That is, 'hostname --fqdn' returned 'localhost.localdomain'.
     (Closes: #316099)
     Programs that access local services at the IP address obtained by
     resolving the system hostname SHOULD NOT DO THIS, but those that
     do so will not be disappointed: most services that listen locally
     listen on all 127/8 addresses, not just on 127.0.0.1.
 .
   [ Joshua Kwan ]
   * Add a netcfg/dhcp_timeout template that can be preseeded in case
     a network or a set of machines are known to take a long time to
     acquire a DHCP lease.
   [ Colin Watson ]
   * Update GPL notices with the FSF's new address.
   * Reword a couple of templates to avoid unnecessary Debian "branding".
   * Close debconf client output when starting the DHCP client, to avoid the
     DHCP client holding it open.
 .
   [ Joey Hess ]
   * Add description for internal-usb template as used for usb net.
   * Fix fallthrough on missing template.
 .
   [ Frans Pop ]
   * Temporary workaround for #322723: use 'route add' instead of
     'ip route add' for both dynamic and static network configuration.
   * Fix error setting default value for new netcfg/dhcp_timeout template.
   * Add myself to uploaders
 .
   * Updated translations:
     - Czech (cs.po) by Miroslav Kure
     - Danish (da.po) by Claus Hindsgaul
     - German (de.po) by Holger Wansing
     - Greek (el.po) by Greek Translation Team
     - Esperanto (eo.po) by Serge Leblanc
     - Basque (eu.po)
     - Persian (fa.po) by Arash Bijanzadeh
     - French (fr.po) by Christian Perrier
     - Gallegan (gl.po) by Jacobo Tarrio
     - Indonesian (id.po) by Arief S Fitrianto
     - Italian (it.po) by Stefano Canepa
     - Japanese (ja.po) by Kenshi Muto
     - Lithuanian (lt.po) by Kęstutis Biliūnas
     - Macedonian (mk.po) by Georgi Stanojevski
     - Norwegian (nb.po) by Bjørn Steensrud
     - Polish (pl.po) by Bartosz Fenski
     - Portuguese (pt.po) by Miguel Figueiredo
     - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
     - Tagalog (tl.po) by Eric Pareja
     - Ukrainian (uk.po) by Eugeniy Meshcheryakov
     - Vietnamese (vi.po) by Clytie Siddall
     - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
Files: 
 c33ace52485581c614ea49136cb00a1c 914 debian-installer optional netcfg_1.13.dsc
 72715073712469940816329daafcff75 232212 debian-installer optional netcfg_1.13.tar.gz
 ce8e4b3e49ce50e347357041747b87d1 186492 debian-installer optional netcfg_1.13_i386.udeb
 b19379304fd3000cd30e45541cd1c763 144202 debian-installer optional netcfg-dhcp_1.13_i386.udeb
 8177e056b7588934b2b601727889aadb 147484 debian-installer optional netcfg-static_1.13_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDBi8fgm/Kwh6ICoQRAkJqAJ4mEGHRx11xjWm6zzYVOrwUDCDjlgCeO+ZZ
p/J1rKya0abWdG+9Td00e4g=
=7snB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 20:16:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:02:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.